/**
 * Copyright (c) 2011 Nokia Corporation and/or its subsidiary(-ies).
 * All rights reserved.
 *
 * For the applicable distribution terms see the license.txt -file, included in
 * the distribution.
 */

#include <QApplication>
#include <QGraphicsObject>
#include <QtDeclarative>

#include "box2dplugin.h"
#include "myqmlapplicationviewer.h"


int main(int argc, char *argv[])
{
    QApplication app(argc, argv);

    Box2DPlugin plugin;
    plugin.registerTypes("Box2D");

    MyQmlApplicationViewer viewer;
    viewer.setOrientation(QmlApplicationViewer::ScreenOrientationLockLandscape);
    viewer.setResizeMode(QDeclarativeView::SizeRootObjectToView);
    viewer.setAttribute(Qt::WA_NoSystemBackground);
    viewer.setAutoFillBackground(false);
    viewer.launchWithSplashScreen();
    return app.exec();
}
